Comments on an approval. For more information, see Manage approvals.
This sends a notification to both the initiator and the reviewers. Additionally, a message is also added to the approval activity log.
HTTP request
POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}:comment
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
Required. The ID of the file that the approval is on. |
approvalId |
Required. The ID of the approval to comment on. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "message": string } |
| Fields | |
|---|---|
message |
Required. A message to comment on the approval. This message is included in notifications for the action and in the approval activity log. |
Response body
If successful, the response body contains an instance of Approval.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.metadata
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.